<?php

	include_once( PLOG_CLASS_PATH."class/summary/action/registeraction.class.php" );

    include_once( PLOG_CLASS_PATH."class/data/validator/integervalidator.class.php" );
    include_once( PLOG_CLASS_PATH."class/dao/blogs.class.php" );
    include_once( PLOG_CLASS_PATH."class/summary/view/summaryview.class.php" );


	/**
	 * shows a form where users can choose a new blog template
	 * for their blog, to start with
	 */
    class ChooseBlogTemplateAction extends RegisterAction 
	{


        function ChooseBlogTemplateAction( $actionInfo, $request )
        {
        	$this->RegisterAction( $actionInfo, $request );
        	
        	$this->registerFieldValidator( "templateId", new StringValidator());
        	$this->setValidationErrorView( new BlogTemplateChooserView());
        }

        function perform()
        {
        }
    }
?>